Migration 4.x to 5.0
======================

5.0 is compatible with CakePHP ^3.4 and refactored some Auth objects into a new plugin
* Fix your Users configuration file, usually under `config/users.php` for Auth object references

in `users.php`

```php
$config = [
    // ...
    'Auth' => [
        // ...
        'authenticate' => [
            'all' => [
                'finder' => 'auth',
            ],
            'CakeDC/Auth.ApiKey',
            'CakeDC/Auth.RememberMe',
            'Form',
        ],
        'authorize' => [
            'CakeDC/Auth.Superuser',
            'CakeDC/Auth.SimpleRbac',
        ],
        // ...
```

* Add a new configuration key to specify the controller name you are using to handle auth in your project

in `users.php`

```php
$config = [
    'Users' => [
        // ...
        // Controller used to manage users plugin features & actions
        'controller' => 'CakeDC/Users.Users',
        // ...
```

